Cazana

VRMs

A history of registration mark (VRM) changes for a vehicle.

GET/vrms/1.0

Authorization

Query parameters

string
optional

VRM to search (required if `vin` not supplied)

string
optional

VIN to search (required if `vrm` not supplied)

Query parameters

vrm?string

VRM to search (required if `vin` not supplied)

vin?string

VIN to search (required if `vrm` not supplied)

Responses

application/json
{
  "make": "Ford",
  "model": "Fiesta",
  "trim": "ST",
  "vrmChanges": [
    {
      "vrm": "AB12CDE",
      "onVehicle": "2022-08-16",
      "offVehicle": null,
      "previousVrm": "BBBBB"
    }
  ]
}
make?string
model?string
trim?string
vrmChanges?

Code samples

curl --request GET \
  --url 'https://api.cazana.com/vrms/1.0?vrm=AB12CDE&vin=SALGA2BU8HA000000' \
  --header 'Authorization: bearer YOUR_API_KEY'